
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../style.css');
        @import url('../../../roundedcorners.css');
        @import url('../../../tree.css');
            </style>
    
    <script src="../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../clover.js" type="text/javascript"></script>
    <script src="../../../cloud.js" type="text/javascript"></script>
    <script src="../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head><body onload="loadPkgPane('HttpCore NIO 4.3-alpha1: org.apache.http', 'pkg-test.html');">
  <!-- render overall pkg coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">Test</span>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a></div>
        
                    	<div class="navBar"><a href="../../../testsrc-pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="testsrc-pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      20
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      124
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      12
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.33
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      53
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      3
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      2
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      2
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      20
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      124
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      12
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.33
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      8
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      53
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      3
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      2
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      2
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;Package</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Files</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http</span>
    	   org.apache.http
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9411765</span>
          94.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9411765</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="5.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="94.1% Covered" class="barPositive " style="width: 94.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Class</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Methods</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr>  <!-- render list of class coverage graphs -->
                 <tr>
    <td class="graphItem">
			
	        <span class="sortValue">ReadableByteChannelMock</span>
    	  <a href="ReadableByteChannelMock.html#ReadableByteChannelMock" title="ReadableByteChannelMock">ReadableByteChannelMock</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2</span>
          2.2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9375</span>
          93.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9375</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="6.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="93.8% Covered" class="barPositive " style="width: 93.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">OoopsieRuntimeException</span>
    	  <a href="OoopsieRuntimeException.html#OoopsieRuntimeException" title="OoopsieRuntimeException">OoopsieRuntimeException</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>